Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class Certificate

    java.lang.Object
      |
      +--java.security.cert.Certificate

Direct Known Subclasses:
  X509Certificate

public abstract class Certificate
extends java.lang.Object

Constructor Summary
`protected` | `Certificate(java.lang.String type)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`abstract byte[]` | `getEncoded()`
`abstract java.security.PublicKey` | `getPublicKey()`
`java.lang.String` | `getType()`
`int` | `hashCode()`
`abstract java.lang.String` | `toString()`
`abstract void` | `verify(java.security.PublicKey key)`
`abstract void` | `verify(java.security.PublicKey key, java.lang.String sigProvider)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Certificate

    protected Certificate(java.lang.String type)

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getType

    public final java.lang.String getType()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEncoded

    public abstract byte[] getEncoded()
                               throws CertificateEncodingException

    `CertificateEncodingException`

### getPublicKey

    public abstract java.security.PublicKey getPublicKey()

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### verify

    public abstract void verify(java.security.PublicKey key)
                         throws CertificateException,
                                java.security.NoSuchAlgorithmException,
                                java.security.InvalidKeyException,
                                java.security.NoSuchProviderException,
                                java.security.SignatureException

    `CertificateException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

### verify

    public abstract void verify(java.security.PublicKey key,
                                java.lang.String sigProvider)
                         throws CertificateException,
                                java.security.NoSuchAlgorithmException,
                                java.security.InvalidKeyException,
                                java.security.NoSuchProviderException,
                                java.security.SignatureException

    `CertificateException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD